ReplicatedLocalNode (ActiveCluster 1.0 API)
Keywords: org.codehaus.activecluster.impl.ReplicatedLocalNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activecluster.impl
Class ReplicatedLocalNode

    java.lang.Object
      org.codehaus.activecluster.impl.NodeImpl
          org.codehaus.activecluster.impl.ReplicatedLocalNode

All Implemented Interfaces:
  LocalNode, Node, Serializable, Service

public class ReplicatedLocalNode
extends NodeImpl
implements LocalNode, Service

Default implementation of a local Node which has its state replicated across the cluster

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.activecluster.impl.NodeImpl
`coordinator, state`

Constructor Summary
`ReplicatedLocalNode(Destination destination, StateService serviceStub)`

Method Summary
`void` | `pingRemoteNodes()`
`void` | `setState(Map state)` Allows the local state to be modified, which will be replicated asynchronously around the cluster
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class org.codehaus.activecluster.impl.NodeImpl
`getDestination, getName, getState, isCoordinator, setCoordinator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.activecluster.Node
`getDestination, getName, getState, isCoordinator`

Constructor Detail

### ReplicatedLocalNode

    public ReplicatedLocalNode(Destination destination,
                               StateService serviceStub)

Method Detail

### setState

    public void setState(Map state)

  Description copied from interface: `LocalNode`
  Allows the local state to be modified, which will be replicated asynchronously around the cluster

  Specified by:
    `setState` in interface `LocalNode`
  Overrides:
    `setState` in class `NodeImpl`

### pingRemoteNodes

    public void pingRemoteNodes()

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Protique, Ltd.. All Rights Reserved.